# GstMetaFactory

Register a GstMetaInfo that can be automatically loaded the first time it is used.

In general, applications and plugins don't need to use the factory beyond registering the meta in a plugin init function. Once that is done, the meta is stored in the registry, and ready as soon as the registry is loaded.

## Registering a meta for dynamic loading

     static gboolean
     plugin_init (GstPlugin * plugin)
     {
       return gst_meta_factory_register (plugin, my_meta_get_info());
     }

## GstMetaFactory

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstPluginFeature
                    ╰──GstMetaFactory

The opaque GstMetaFactory data structure.

Since : 1.28

### Class structure

#### GstMetaFactoryClass

### Gst.MetaFactoryClass

## Gst.MetaFactory

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──Gst.PluginFeature
                    ╰──Gst.MetaFactory

The opaque Gst.MetaFactory data structure.

Since : 1.28

## Gst.MetaFactory

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──Gst.PluginFeature
                    ╰──Gst.MetaFactory

The opaque Gst.MetaFactory data structure.

Since : 1.28

### Functions

#### gst_meta_factory_load

    const GstMetaInfo *
    gst_meta_factory_load (const gchar * factoryname)

Loads a previously registered GstMetaInfo from the registry.

Parameters:

`factoryname` –

The name of the GstMetaInfo to load

Returns –

A GstMetaInfo or NULL if not found

Since : 1.28

#### Gst.MetaFactory.prototype.load

    function Gst.MetaFactory.prototype.load(factoryname: String): {
        // javascript wrapper for 'gst_meta_factory_load'
    }

Loads a previously registered Gst.MetaInfo from the registry.

Parameters:

`factoryname` (String) –

The name of the Gst.MetaInfo to load

Returns (Gst.MetaInfo) –

A Gst.MetaInfo or NULL if not found

Since : 1.28

#### Gst.MetaFactory.load

    def Gst.MetaFactory.load (factoryname):
        #python wrapper for 'gst_meta_factory_load'

Loads a previously registered Gst.MetaInfo from the registry.

Parameters:

`factoryname` (str) –

The name of the Gst.MetaInfo to load

Returns (Gst.MetaInfo) –

A Gst.MetaInfo or NULL if not found

Since : 1.28

#### gst_meta_factory_register

    gboolean
    gst_meta_factory_register (GstPlugin * plugin,
                               const GstMetaInfo * meta_info)

Registers a new GstMetaInfo in the registry

Parameters:

`plugin` –

The GstPlugin to register meta_info for

`meta_info` –

The GstMetaInfo to register

Returns –
No description available

Since : 1.28

#### Gst.MetaFactory.prototype.register

    function Gst.MetaFactory.prototype.register(plugin: Gst.Plugin, meta_info: Gst.MetaInfo): {
        // javascript wrapper for 'gst_meta_factory_register'
    }

Registers a new Gst.MetaInfo in the registry

Parameters:

`plugin` (Gst.Plugin) –

The Gst.Plugin to register meta_info for

`meta_info` (Gst.MetaInfo) –

The Gst.MetaInfo to register

Returns (Number) –
No description available

Since : 1.28

#### Gst.MetaFactory.register

    def Gst.MetaFactory.register (plugin, meta_info):
        #python wrapper for 'gst_meta_factory_register'

Registers a new Gst.MetaInfo in the registry

Parameters:

`plugin` (Gst.Plugin) –

The Gst.Plugin to register meta_info for

`meta_info` (Gst.MetaInfo) –

The Gst.MetaInfo to register

Returns (bool) –
No description available

Since : 1.28

The results of the search are